diff -u -r fpcbuild-2.6.0/fpcsrc/ide/fpregs.pas fpcbuild-2.6.0-mod/fpcsrc/ide/fpregs.pas
--- fpcbuild-2.6.0/fpcsrc/ide/fpregs.pas	2008-07-20 23:37:48.000000000 +0200
+++ fpcbuild-2.6.0-mod/fpcsrc/ide/fpregs.pas	2012-01-05 15:00:08.000000000 +0100
@@ -158,17 +158,19 @@
     TVectorRegs = record
 {$ifndef test_generic_cpu}
 {$ifdef cpui386}
+{$define cpu_vectors_known}
       xmm : array[0..7] of string;
       mmx : array[0..7] of string;
       mxcsr : string;
 {$endif cpui386}
 {$ifdef cpupowerpc}
+{$define cpu_vectors_known}
       m : array[0..31] of string;
 {$endif cpupowerpc}
 {$endif not test_generic_cpu}
-{$ifndef cpu_known}
+{$ifndef cpu_vectors_known}
        vreg : array [0..MaxRegs-1] of string;
-{$endif not cpu_known}
+{$endif not cpu_vectors_known}
     end;
 
 
@@ -177,9 +179,9 @@
       NewReg,OldReg : TVectorRegs;
       InDraw : boolean;
       GDBCount : longint;
-{$ifndef cpu_known}
+{$ifndef cpu_vectors_known}
       UseInfoVector : boolean;
-{$endif not cpu_known}
+{$endif not cpu_vectors_known}
       first : boolean;
       constructor Init(var Bounds: TRect);
       procedure   Draw;virtual;
@@ -1239,9 +1241,9 @@
 ****************************************************************************}
 
   function GetVectorRegs(var rs : TVectorRegs
-{$ifndef cpu_known}
+{$ifndef cpu_vectors_known}
              ; UseInfoVector : boolean
-{$endif not cpu_known}
+{$endif not cpu_vectors_known}
              ) : boolean;
 
     var
@@ -1259,7 +1261,7 @@
     begin
        GetVectorRegs:=false;
 {$ifndef NODEBUG}
-{$ifndef cpu_known}
+{$ifndef cpu_vectors_known}
        if UseInfoVector then
          begin
            Debugger^.Command('info vector');
@@ -1270,7 +1272,7 @@
              end;
          end
        else
-{$endif not cpu_known}
+{$endif not cpu_vectors_known}
          Debugger^.Command('info vector');
        if Debugger^.Error then
          exit
@@ -1278,9 +1280,9 @@
          begin
             po:=StrNew(Debugger^.GetOutput);
             p:=po;
-{$ifndef cpu_known}
+{$ifndef cpu_vectors_known}
             i:=0;
-{$endif not cpu_known}
+{$endif not cpu_vectors_known}
             if assigned(p) then
               begin
                  fillchar(rs,sizeof(rs),0);
@@ -1289,7 +1291,7 @@
                    begin
                       strlcopy(buffer,p,p1-p);
                       reg:=strpas(buffer);
-{$ifndef cpu_known}
+{$ifndef cpu_vectors_known}
                       p1:=strscan(p,#10);
                       if assigned(p1) then
                         begin
@@ -1298,7 +1300,7 @@
                           if i<MaxRegs-1 then
                             inc(i);
                         end;
-{$else  cpu_known}
+{$else  cpu_vectors_known}
                       p:=p1;
                       while p^=' ' do
                         inc(p);
@@ -1335,9 +1337,7 @@
                           if reg='v'+inttostr(i) then
                             rs.m[i]:=v;
 {$endif cpupowerpc}
-{$ifdef cpusparc}
-{$endif cpusparc}
-{$endif cpu_known}
+{$endif cpu_vectors_known}
                       p:=strscan(p1,#10);
                       if assigned(p) then
                         begin
@@ -1369,9 +1369,9 @@
        FillChar(OldReg,Sizeof(oldreg),#0);
        FillChar(NewReg,Sizeof(newreg),#0);
        GDBCount:=-1;
-{$ifndef cpu_known}
+{$ifndef cpu_vectors_known}
        UseInfoVector:=true;
-{$endif not cpu_known}
+{$endif not cpu_vectors_known}
     end;
 
   procedure TVectorView.Draw;
@@ -1419,9 +1419,9 @@
          begin
            OldReg:=NewReg;
            OK:=GetVectorRegs(rs
-{$ifndef cpu_known}
+{$ifndef cpu_vectors_known}
              ,UseInfoVector
-{$endif not cpu_known}
+{$endif not cpu_vectors_known}
              );
            NewReg:=rs;
            { get inital values }
@@ -1439,7 +1439,7 @@
          end;
        if OK then
          begin
-{$ifdef cpu_known}
+{$ifdef cpu_vectors_known}
 {$ifdef cpui386}
             for i:=0 to 7 do
               begin
@@ -1469,13 +1469,13 @@
 {$ifdef cpusparc}
             { no mm regs on the sparc }
 {$endif cpusparc}
-{$else not cpu_known}
+{$else not cpu_vectors_known}
             for i:=0 to MaxRegs-1 do
               begin
                 SetColor(rs.vreg[i],OldReg.vreg[i]);
                 WriteStr(1,i,rs.vreg[i],color);
               end;
-{$endif cpu_known}
+{$endif cpu_vectors_known}
          end
        else
          WriteStr(0,0,'<debugger error>',7);
@@ -1516,10 +1516,10 @@
        R.A.X:=R.B.X-60;
        R.B.Y:=R.A.Y+33;
 {$endif cpusparc}
-{$ifndef cpu_known}
+{$ifndef cpu_vectors_known}
        R.A.X:=R.B.X-60;
        R.B.Y:=R.A.Y+33;
-{$endif cpu_known}
+{$endif cpu_vectors_known}
        inherited Init(R,dialog_Vector, wnNoNumber);
        Flags:=wfClose or wfMove or wfgrow;
        Palette:=wpCyanWindow;

